Sprints
Get sprint settings
Fetches the sprint settings for the specified project
(externally referenced as Space, project_id) within a workspace (team_id).
Includes configurations such as sprint length, layout, statuses, cooldown period,
start day of the week, and VCS mappings for automation.
GET
/
{team_id}
/
sprints
/
settings
Get sprint settings for project
curl --request GET \
--url https://api.superthread.com/v1/{team_id}/sprints/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.superthread.com/v1/{team_id}/sprints/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.superthread.com/v1/{team_id}/sprints/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sprint_settings": {
"statuses": [
{
"title": "To Do",
"status": "started",
"id": "688a7717-f1ea-4955-9f5f-6eca66e98f64"
}
],
"length": 14,
"cooldown": 7,
"start_day": 1,
"enabled": true,
"vcs_mapping": {
"pr_draft": "41",
"pr_open": "41",
"pr_review_requested": "41",
"pr_merged": "41",
"pr_closed": "41",
"branches": [
{
"name": "development",
"pr_draft": "41",
"pr_open": "41",
"pr_review_requested": "41",
"pr_merged": "41",
"pr_closed": "41",
"time_created": 1608742037016
}
]
},
"layout": "board",
"time_updated": 1608742037016,
"user_updated": {
"user_id": "uDsu0j19",
"type": "user",
"source": {
"type": "oauth",
"client_id": "oczapier",
"import_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"agent_id": "bf1b9f76-3f95-42fc-bd7f-050b2f5f4197",
"email_addr": "somebody@example.com",
"email_verified": false,
"on_behalf_of": "<string>"
}
},
"card_cover_enabled": true
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Query Parameters
Project ID is a numerical string that identifies a Project. This is externally referred to as a "Space".
Response
sprint settings
Show child attributes
Show child attributes
Previous
Update sprint settingsUpdates the sprint settings for the specified project
(externally referenced as Space, `project_id`) within a workspace (`team_id`).
Next
⌘I
Get sprint settings for project
